- Home
- API Enriched
- Marketplace
- namespaces
- Signup AWS Account.
Signup AWS Account.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/aws/f5xc-saas/signup';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"account_details":{"domain":"example","locale":"example","tos_accepted_at":"2026-04-15T12:00:00Z","tos_version":"example"},"account_id":"example","company_details":{"mailing_address":{"address1":"example","address2":"example","city":"example","country":"example","county":"example","phone_number":"example","state":"example","state_code":"example","zip_code":"example"},"name":"example"},"crm_details":{},"user_details":{"contact_number":"example","email":"hello@example.com","first_name":"example","last_name":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/aws/f5xc-saas/signup \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "account_details": { "domain": "example", "locale": "example", "tos_accepted_at": "2026-04-15T12:00:00Z", "tos_version": "example" }, "account_id": "example", "company_details": { "mailing_address": { "address1": "example", "address2": "example", "city": "example", "country": "example", "county": "example", "phone_number": "example", "state": "example", "state_code": "example", "zip_code": "example" }, "name": "example" }, "crm_details": {}, "user_details": { "contact_number": "example", "email": "hello@example.com", "first_name": "example", "last_name": "example" } }'Use this API to signup AWS account for F5XC service.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
object
Domain of the account.
Locale of the account.
Terms of services accepted timestamp.
Terms of services version.
Identifier for the aws_account object.
object
object
Address line 1.
Address line 2.
City / town of the contact.
Country of contact (e.g. USA). Refer to https://en.wikipedia.org/wiki/ISO_3166-1, column alpha-2.
County (optional, for countries where they have counties)
Phone number of the contact.
State (optional, for countries where they have states)
State code (optional, for countries where they have states)
Zip or postal code.
Name of the company.
object
object
Contact number of the user.
Email of the user.
First name of the user.
Last name of the user.
Examplegenerated
{ "account_details": { "domain": "example", "locale": "example", "tos_accepted_at": "2026-04-15T12:00:00Z", "tos_version": "example" }, "account_id": "example", "company_details": { "mailing_address": { "address1": "example", "address2": "example", "city": "example", "country": "example", "county": "example", "phone_number": "example", "state": "example", "state_code": "example", "zip_code": "example" }, "name": "example" }, "crm_details": {}, "user_details": { "contact_number": "example", "email": "hello@example.com", "first_name": "example", "last_name": "example" }}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example